Document Collections

Manage your custom document collections in a Vector Dababase.

Get all collections

get

Retrieve all stored document collections

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Query parameters
limitintegerOptional

The maximum number of collections to return - defaults to 100

Default: 100
offsetintegerOptional

The offset to start from - defaults to 0

Default: 0
Responses
get
/collections

Create a new collection

post

Create a new, empty document collection for storing documents

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Body
idstringRead-onlyOptional

The unique identifier of the documents collection.

hrefstringRead-onlyOptional

Resource URL

typestring · enumRead-onlyOptional

Type of object

Possible values:
Responses
chevron-right
201

Successful operation.

application/json
idstringRead-onlyOptional

The unique identifier of the documents collection.

Example: 4b71d0fe-d992-463e-82a1-de337d88ac2d
hrefstringRead-onlyOptional

Resource URL

typestring · enumRead-onlyOptional

Type of object

Example: collectionPossible values:
post
/collections

Get collection

get

Returns the properties and metadata for the document collection

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
collectionIdstringRequired

The ID of the collection.

Responses
get
/collections/{collectionId}

Update an existing collection

put

Update collection details and metadata. No modification is done on the documents.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
collectionIdstringRequired

The ID of the collection.

Body
idstringRead-onlyOptional

The unique identifier of the documents collection.

Example: 4b71d0fe-d992-463e-82a1-de337d88ac2d
hrefstringRead-onlyOptional

Resource URL

typestring · enumRead-onlyOptional

Type of object

Example: collectionPossible values:
Responses
put
/collections/{collectionId}

Delete a collection and its documents

delete

Delete a collection and all documents stored in it

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
collectionIdstringRequired

The ID of the collection.

Responses
delete
/collections/{collectionId}

No content

Get the list of documents stored in the collection

get

Get the list of documents stored in the collection

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
collectionIdstringRequired

The ID of the collection.

Query parameters
limitintegerOptional

The maximum number of documents to return - defaults to 100

Default: 100
offsetintegerOptional

The offset to start from - defaults to 0

Default: 0
Responses
get
/collections/{collectionId}/documents

Add documents to the collection

put

Add documents to the collection.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
collectionIdstringRequired

The ID of the collection.

Body
idstringRead-onlyOptional

Unique Collection Identifier

Example: d4a7d335-209c-5a1e-a8b2-686772fe7a55
typestring · enumRead-onlyRequired

Entity type

Possible values:
hrefstringRead-onlyOptional

Resource URL

Responses
put
/collections/{collectionId}/documents

Prune all documents in a collection

delete

Delete all documents from a collection, thus pruning it

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
collectionIdstringRequired

The ID of the collection.

Responses
delete
/collections/{collectionId}/documents

No content

Get document details

get

Retreieve document's details.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
collectionIdstringRequired

The ID of the collection.

documentIdstringRequired

The ID of the document.

Responses
get
/collections/{collectionId}/documents/{documentId}

Update a document

put

Replaces the existing document identified by documentId with the contents of the request payload

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
collectionIdstringRequired

The ID of the collection.

documentIdstringRequired

The ID of the document.

Body
idstringRead-onlyOptional

The unique identifier of the document.

Example: 4b71d0fe-d992-463e-82a1-de337d88ac2d
typestring · enumRead-onlyOptional

Type of object

Possible values:
hrefstringRead-onlyOptional

Resource URL

Responses
put
/collections/{collectionId}/documents/{documentId}

Delete a document

delete

Remove a document from the collection

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
collectionIdstringRequired

The ID of the collection.

documentIdstringRequired

The ID of the document.

Responses
delete
/collections/{collectionId}/documents/{documentId}

No content

Get document chunks details

get

Retrieve existing chunks for the document with documentId.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
collectionIdstringRequired

The ID of the collection.

documentIdstringRequired

The ID of the document.

Query parameters
limitinteger · min: 1 · max: 10000Optional

The maximum number of documents to return - defaults to 100

Default: 100
offsetinteger · max: 1000000Optional

The offset to start from - defaults to 0

Default: 0
Responses
get
/collections/{collectionId}/documents/{documentId}/chunks

Query a collection / search for related content

post

Query a collection / search for related content. This endpoint is used to return relevant documents from a collection.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
collectionIdstringRequired

The ID of the collection.

Query parameters
Body
querystring · min: 1Required

The string used to query the vector database.

limitintegerOptional

The maximum number of matches to return.

Default: 10
Responses
post
/collections/{collectionId}/query

Last updated

Was this helpful?